Bug 1300797 - [RFE] Add a utility to get the status of Directory Server instances
[RFE] Add a utility to get the status of Directory Server instances
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-config-command-file-reference (Show other bugs)
10.0
All Linux
low Severity low
: DSDocs
: ---
Assigned To: Petr Bokoc
Viktor Ashirov
Petr Bokoc
: FutureFeature
Depends On: 1209128
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 13:01 EST by Noriko Hosoi
Modified: 2016-11-14 08:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1209128
Environment:
Last Closed: 2016-11-14 08:35:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Noriko Hosoi 2016-01-21 13:03:45 EST
$ man status-dirsrv
STATUS-DIRSRV(8)                                        System Manager's Manual                                        STATUS-DIRSRV(8)

NAME
       status-dirsrv - script for showing the status of Directory Server

SYNOPSIS
       status-dirsrv [<instance>]

DESCRIPTION
       status-dirsrv shows all the status of Directory Server instances on 
       a system, or of a single instance if specified

OPTIONS
       <instance>
              Specifies a single Directory Server instance to show the status

USAGE
       Sample usage:

       status-dirsrv example

EXIST STATUS
       status-dirsrv returns 0 if all Directory Server instances are running.  
       Otherwise, a non-zero failure code returned from systemctl is returned.

       If a single Directory Server instance is specified, 0 is returned if 
       the instance is running; a non-zero failure  code  returned
       from systemctl is returned if the instance is not running; 255 is 
       returned if the instance does not exist.
Comment 2 Petr Bokoc 2016-04-14 09:38:28 EDT
We'll need to add docs for this into (at least):

* Configuration, Command, and File Reference - chapter 9 (Command-line Scripts)
* Administration Guide - section 1.3 (and rename the section)
Comment 3 Petr Bokoc 2016-06-01 12:11:34 EDT
Section " 9.3.21. status-dirsrv (Obtains the Status of the Directory Server)" added to the Configuration, Command, and File Reference; Admin Guide is next.
Comment 7 Marc Muehlfeld 2016-11-14 08:35:16 EST
The update for Directory Server 10.1 is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.